#include<bits/stdc++.h>
using namespace std;
#define ll long long
int main()
{
    int n;
    ll l, x;
    cin>>n>>l;
    int poz=-1;
    for (int i=0; i<n; i++)
    {
        cin>>x;
        if (poz==-1 && x<=l) poz=i+1;
    }
    cout<<poz<<endl;
    return 0;
}